Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.6.4
Release:        %(R="$Revision: 1.9 $"; RR="${R##: }"; echo ${RR%%?})
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		ftp://ftp.suse.com/pub/people/ak/numa/
Source0: 	ftp://ftp.suse.com/pub/people/ak/numa/numactl-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-buildroot

ExcludeArch: ppc64 s390 s390x ppc

Patch1:	numactl-lib.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%prep
%setup -q -c -a 0

#
# reduce the number of relocations and PLT entries
#
%patch1


%build
cd numactl-%{version}
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man2
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_libdir}/libnuma.so.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_mandir}

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 
- spec cleanup

* Sat Jun 05 2004 Arjan van de Ven <arjanv@redhat.com>
- initial packaging
